/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  GLite Data Transfer Proxyrenewal: CleanSDCache Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: CleanSDCache.cpp,v 1.1.1.1 2006/08/02 08:01:40 badino Exp $
 *  Release: $Name:  $
 *
 */
#include "CleanSDCache.h"
#include "glite/data/agents/sd/SDCache.h"
#include "glite/data/agents/sd/SDConfig.h"

#include "log4cpp/Category.hh"

using namespace glite::data::transfer::proxyrenewal;
using namespace log4cpp;


/*
 * Register ActionFactory Method 
 */
REGISTER_FACTORY_METHOD( CleanSDCache );
      
/*
 * CleanSDCache
 *
 * Constructor
 */
CleanSDCache::CleanSDCache():ProxyRenewalAction("ProxyRenewalCleanSDCache"){
}

/*
 * ~CleanSDCache
 *
 * Destructor
 */
CleanSDCache::~CleanSDCache(){
}

/*
 * execute
 *
 * Execute the Action
 */
void CleanSDCache::execute(const std::string& params) /*throw (ExecuteException, LogicError)*/{
    
    agents::sd::SDCache * cache = agents::sd::SDConfig::instance().cache();
    if(0 != cache){
        cache->purge();
    }
}
