/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  GLite Data Transfer ProxyRenewal: DAO Test Helper
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: DaoHelper.h,v 1.1 2006/08/07 14:32:19 badino Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_TRANSFER_PROXYRENEWAL_TEST_AGENT_DAOHELPER_H_
#define GLITE_DATA_TRANSFER_PROXYRENEWAL_TEST_AGENT_DAOHELPER_H_

#include "glite/data/agents/dao/DAOContext.h"
#include "glite/data/agents/dao/DAOException.h"

#include <boost/scoped_ptr.hpp>

/**
 * CPPUnit FileDaoTestCase
 */
class DaoHelper {
public:

    /**
     * destroy Context
     */
    static void dispose();

    /**
     * Get Context per VO Operations
     */
    static glite::data::agents::dao::DAOContext& ctx();

private:
    /**
     * The VO DAO Context
     */
    static boost::scoped_ptr<glite::data::agents::dao::DAOContext> m_ctx;
};

#endif //GLITE_DATA_TRANSFER_PROXYRENEWAL_TEST_AGENT_DAOHELPER_H_
